<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity BillingReceipt.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idbiltyp"
                                 baseTableName="billing_receipt"
                                 constraintName="fk_billing_receipt_billing_type_id"
                                 referencedColumnNames="idbiltyp"
                                 referencedTableName="billing_type"/>

        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="billing_receipt"
                                 constraintName="fk_billing_receipt_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idbilto"
                                 baseTableName="billing_receipt"
                                 constraintName="fk_billing_receipt_bill_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

        <addForeignKeyConstraint baseColumnNames="idbilfro"
                                 baseTableName="billing_receipt"
                                 constraintName="fk_billing_receipt_bill_from_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

    </changeSet>
</databaseChangeLog>
